Loading...

wordpress2.1出来后,如何兼容2.0.x的模板?

wordpress2.1已经release了,这次我可不敢抢着把2.0.7升级到2.1了,一方面是个人精力有限,另外一方面害怕自己的模板在2.1下会显示不正常,还是等过一段时间有空的再整吧。wp升级太快,这样的升级速度比较适合玩家,个人感觉升级还是以补丁的形式较好,这样覆盖式的升级让人很紧张,生怕一不小心就把自己修改过的文件或者配置文件给覆盖了,那样又麻烦。

在次到wp的官方网站看了看template tag,发现2.0的好多tag都不赞成在2.1中使用了,2.1本身也新加了一些tag,看来2.1是要整个变革了?

我们看看新加的tag:
* the_author_link (version 2.1)
* wp_dropdown_categories (Version 2.1)
* wp_list_categories (Version 2.1)
* the_modified_date (Version 2.1)
* wp_list_bookmarks (Version 2.1)

不赞成使用的tag:

* dropdown_cats (Deprecated in 2.1)
* list_cats (Deprecated in 2.1)
* wp_list_cats (Deprecated in 2.1)
* get_archives (Deprecated in 2.1)
* link_pages (Deprecated in 2.1)
* wp_get_linksbyname (Deprecated in 2.1)
* get_linksbyname (Deprecated in 2.1)

什么叫deprecated:

That means it has been replaced by a new function or is no longer supported, and may be removed from future versions. All code that uses this function should be converted to use its replacement if one exists.

该标签已经被新的函数替代,或者不再被支持,在今后的版本中此标签将被删除。对于需要使用该标签的函数或模板都应该用它的替代标签,

该日志未加标签
发表于 2007-01-23 09:17:40 目录:Wordpress, 网站技术 [RSS 2.0] 您可以评论. Pinging 不可用.
  • 相关阅读
  • homezz 美国专业主机商
    大师,指导指导如何? 拒绝低俗
      还没有留言呢,等你发表高见,快抢沙发啊!
    评论分页: 1
    (Required)
    (Required, not published)
    如果留言未显示无需重复留言,我将为你恢复!